<?php

//////////////////////////////////////////////////////////////
//===========================================================
// editbackupserver_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function editbackupserver_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $done, $backup_server;

softheader($l['<title>']);

echo page_header($l['edit_backupserver'], 'icon icon-ippool', '', 0, 0, '');

$breadcrumbs = array('dashboard', 'lm_servers', 'edit_backupserver');

echo get_breadcrumb($breadcrumbs);

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

echo'<script>
let sshpub_key_val = "";
let sshpri_key_val = "";
$(document).ready(function(){

  sshpub_key_val = $("#sshpub_key").val();
  sshpri_key_val = $("#sshpri_key").val();

  toggle_keys_handle({chk_id : "ssh_key", pub_id : "ssh_pub_div", pri_id : "ssh_pri_div"});
  
  $("#ssh_key").click(function(){
    $("#ssh_pub_gen,#ssh_pri_gen").hide();
    $("#credentials").find("#password").val("");
    toggle_keys_handle({chk_id : "ssh_key", pub_id : "ssh_pub_div", pri_id : "ssh_pri_div"});
  });
  
  $("#type").on("change", function(){
    if($(this).val() == "FTP"){
      $("#credentials").show();
      $("#ftps_div").show();
      $("#ssh_key").prop("checked", false);
      $("#sshkeys, #ssh_pub_div, #ssh_pri_div").hide();
      $("#sshpub_key, #sshpri_key").val("");
    }
    if($(this).val() == "SSH"){
      $("#sshkeys").show();
      $("#ftps_div").hide();
    }
  })
})

function toggle_keys_handle(params){
  if($("#"+params["chk_id"]).is(":checked")){
    $("#credentials").hide();
    $("#"+params["pub_id"]+",#"+params["pri_id"]).show();
    $("#sshpub_key").val(sshpub_key_val);
    $("#sshpri_key").val(sshpri_key_val);
  }else{
    $("#credentials").show();
    $("#"+params["pub_id"]+",#"+params["pri_id"]).hide();
    $("#sshpub_key").val("");
    $("#sshpri_key").val("");
  }
}
</script> 
<div id="form-container" class="card p-2 mx-3">
	<form accept-charset="'.$globals['charset'].'" name="editbackupserver" method="post" action="" class="form-horizontal">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_name'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control" name="name" id="name" size="30" value="'.POSTval('name', $backup_server['name']).'" />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['hostname'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_hostname'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control" name="hostname" id="hostname" size="30" value="'.POSTval('hostname', $backup_server['hostname']).'" />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['type'].'</label>
			</div>
			<div class="col-sm-4">
				<select class="custom-select" name="type" id="type">
				<option value="FTP" '.ex_POSTselect('type', "FTP", $backup_server['type']).'>FTP</option>
				<option value="SSH" '.ex_POSTselect('type', "SSH", $backup_server['type']).'>SSH</option>
				</select>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" id="ftps_div" '.($backup_server['type'] == 'FTP' ? '' : 'style="display:none;"').'>
			<div class="col-sm-4">
				<label class="control-label">'.$l['ftps'].'&nbsp;</label>
			</div>
			<div class="col-sm-4">
				'.get_checkbox('ftps', '', 'ftps', array('chk_it' => 1, 'val' => $backup_server['ftps']), 1).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" id="sshkeys" '.($backup_server['type'] == 'FTP' ? 'style="display:none;"' : '').'>
			<div class="col-sm-4">
				<label class="control-label">'.$l['sshkey'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ssh_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				'.get_checkbox('ssh_key', '', 'ssh_key', array('chk_it' => 1, 'val' => $backup_server['ssh_key']), 1).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['username'].'</label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control" name="username" id="username" size="30" value="'.POSTval('username', $backup_server['username']).'" />
			</div>
		</div>
		<div id="credentials">
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4">
					<label class="control-label">'.$l['password'].'</label>
				</div>
				<div class="col-sm-4">
					<input type="password" class="form-control" name="password" id="password" size="30" value="'.POSTval('password').'" />
				</div>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" style="display: none;" name="ssh_pub_div" id="ssh_pub_div">
			<div class="col-sm-4">
			<label class="control-label">'.$l['sshpubkey'].'</label>
			</div>
			<div class="col-sm-4">
				<span id="ssh_text" name="ssh_pub_text">
					<textarea  name="sshpub_key" rows="10" class="form-control font-monospace w-100" id="sshpub_key" value="'.POSTval('sshpub_key', $backup_server['sshpub_key']).'">'.base64_decode($backup_server['sshpub_key']).'</textarea>
				</span>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" style="display: none;" name="ssh_pri_div" id="ssh_pri_div">
			<div class="col-sm-4">
				<label class="control-label">'.$l['sshprikey'].'</label>
			</div>
			<div class="col-sm-4">
				<span id="ssh_text" name="ssh_pri_text">
					<textarea  name="sshpri_key" rows="10" class="form-control font-monospace w-100" id="sshpri_key" value="'.POSTval('sshpri_key', $backup_server['sshpri_key']).'">'.base64_decode($backup_server['sshpri_key']).'</textarea>
				</span>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['port'].'</label>
			</div>
			<div class="col-sm-4">
				<input type="number" class="form-control" name="port" id="port" size="30" value="'.POSTval('port', $backup_server['port']).'" />
			</div>
		</div>
		<br />
		<center>
			<input type="submit" class="go_btn mt-5" name="editbackupserver" value="'.$l['submit'].'">
		</center>
	</form>
</div>';

softfooter();

}

?>
